{
  config,
  lib,
  ...
}: let
  cfg = config.marleyos.programs.phpstorm;
in {
  options.marleyos.programs.phpstorm.enable = lib.mkEnableOption "phpstorm";

  config = lib.mkIf cfg.enable {
    homebrew.casks = ["phpstorm"];
  };
}
